Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002684 [DCSS] Upload: Maps and Vaults minor have not tried 2010-10-06 00:27 2014-05-19 19:40
Reporter rkd View Status public  
Assigned To sgrunt
Priority normal Resolution done  
Status resolved   Product Branch 0.8 ancient branch
Summary 0002684: Radiant caverns vaults
Description http://pastebin.com/8kNL8inn [^]
https://crawl.develz.org/wiki/doku.php?id=dcss:brainstorm:vault:portal_vaults#radiant_caverns [^]

This is what I got sofar, haven't added anything to the actual vault levels yet. It's just the layout atm, could use some help aswell on what could be added for flavour and any other suggestions.
For the 2 vaults I am planning to have both the castles in crystal walls and for the rest of the walls I was thinking to have it randomized so that walls would be weighted towards undiggable rock with a lower weight towards crystal walls. Could also go with making the entire level in crystal walls.

My previous mantis should be removed: https://crawl.develz.org/mantis/view.php?id=2681 [^]
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008920)
evktalo (administrator)
2010-10-06 11:15

At a quick glance, the layouts look good.

--Eino
(0008940)
rkd (reporter)
2010-10-07 15:33
edited on: 2010-10-08 13:41

"Finnished" one vault: http://pastebin.com/gj0MBhHi [^]

Also some ideas for what could be added to the vault. 2 new monsters, first is a new statue that has either a polymorph other spell in its arsenal or it has a radiation field around it. if you stand in it you gain x glow. with more glow being added the closer you are to it.
2nd monster would be a new golem that has a spell/breath-attack that is a "randomcloud" (each square in the cloud is randomly any of the games clouds).

I had another idea for something aswell but I can't recall what it was. It'll hopefully come back to me later.

EDIT: Reused the first vault to make this aswell: http://pastebin.com/5wsBwjtg [^]
Gonna start working on the other vault I posted previously in this thread.

(0009841)
dpeg (administrator)
2010-12-22 09:09

Neil, do you have ideas for content for the main cavern map? Would be a waste to lose rkd's content.
(0026212)
sgrunt (administrator)
2014-05-19 19:40

Four years later, after a bit of discussion, I appropriated these layouts and reworked them into Depths encompass vaults in 0.15-a0-907-gc67c2e8.

Now we can resolve the oldest vault ticket. Hooray!

- Issue History
Date Modified Username Field Change
2010-10-06 00:27 rkd New Issue
2010-10-06 11:15 evktalo Note Added: 0008920
2010-10-07 15:33 rkd Note Added: 0008940
2010-10-08 13:41 rkd Note Edited: 0008940
2010-10-26 18:20 dpeg Assigned To => dpeg
2010-12-22 09:09 dpeg Note Added: 0009841
2010-12-22 09:09 dpeg Assigned To dpeg => Mu
2011-05-18 23:31 dpeg Assigned To Mu => dpeg
2014-05-19 19:40 sgrunt Note Added: 0026212
2014-05-19 19:40 sgrunt Assigned To dpeg => sgrunt
2014-05-19 19:40 sgrunt Status new => resolved
2014-05-19 19:40 sgrunt Resolution open => done
2014-05-19 19:40 sgrunt Fixed in Branch => 0.15 development branch


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker